corda / net.corda.core.serialization / MutableClassWhitelist

# MutableClassWhitelist

`interface MutableClassWhitelist : ClassWhitelist`

### Functions

add | `abstract fun add(entry: Class<*>): Unit`

### Inherited Functions

hasListed | `abstract fun hasListed(type: Class<*>): Boolean`

### Inheritors

GlobalTransientClassWhiteList | `class GlobalTransientClassWhiteList : MutableClassWhitelist, ClassWhitelist`
LoggingWhitelist | `class LoggingWhitelist : MutableClassWhitelist` This class is not currently used, but can be installed to log a large number of missing entries from the whitelist and was used to track down the initial set.